org.wildfly.swarm.config.infinispan

## Class CacheContainer.CacheContainerResources

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.CacheContainer.CacheContainerResources

- Enclosing class:
    CacheContainer<T extends CacheContainer<T>>

      public static class CacheContainer.CacheContainerResources
      extends Object

  Child mutators for CacheContainer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheContainerResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncOperationsThreadPool` | `asyncOperationsThreadPool()` Defines a thread pool used for asynchronous operations.
    `DistributedCache` | `distributedCache(String key)`
    `List<DistributedCache>` | `distributedCaches()` Get the list of DistributedCache resources
    `ExpirationThreadPool` | `expirationThreadPool()` Defines a thread pool used for for evictions.
    `InvalidationCache` | `invalidationCache(String key)`
    `List<InvalidationCache>` | `invalidationCaches()` Get the list of InvalidationCache resources
    `JGroupsTransport` | `jgroupsTransport()` The description of the transport used by this cache container
    `ListenerThreadPool` | `listenerThreadPool()` Defines a thread pool used for asynchronous cache listener notifications.
    `LocalCache` | `localCache(String key)`
    `List<LocalCache>` | `localCaches()` Get the list of LocalCache resources
    `NoneTransport` | `noneTransport()` A local-only transport used by this cache-container
    `PersistenceThreadPool` | `persistenceThreadPool()` Defines a thread pool used for interacting with the persistent store.
    `RemoteCommandThreadPool` | `remoteCommandThreadPool()` Defines a thread pool used to execute remote commands.
    `ReplicatedCache` | `replicatedCache(String key)`
    `List<ReplicatedCache>` | `replicatedCaches()` Get the list of ReplicatedCache resources
    `StateTransferThreadPool` | `stateTransferThreadPool()` Defines a thread pool used for for state transfer.
    `TransportThreadPool` | `transportThreadPool()` Defines a thread pool used for asynchronous transport communication.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheContainerResources

          public CacheContainerResources()

  - ### Method Detail

    - #### invalidationCaches

          public List<InvalidationCache> invalidationCaches()

      Get the list of InvalidationCache resources
      Returns:
        the list of resources

    - #### invalidationCache

          public InvalidationCache invalidationCache(String key)

    - #### localCaches

          public List<LocalCache> localCaches()

      Get the list of LocalCache resources
      Returns:
        the list of resources

    - #### localCache

          public LocalCache localCache(String key)

    - #### replicatedCaches

          public List<ReplicatedCache> replicatedCaches()

      Get the list of ReplicatedCache resources
      Returns:
        the list of resources

    - #### replicatedCache

          public ReplicatedCache replicatedCache(String key)

    - #### distributedCaches

          public List<DistributedCache> distributedCaches()

      Get the list of DistributedCache resources
      Returns:
        the list of resources

    - #### distributedCache

          public DistributedCache distributedCache(String key)

    - #### remoteCommandThreadPool

          public RemoteCommandThreadPool remoteCommandThreadPool()

      Defines a thread pool used to execute remote commands.

    - #### jgroupsTransport

          public JGroupsTransport jgroupsTransport()

      The description of the transport used by this cache container

    - #### asyncOperationsThreadPool

          public AsyncOperationsThreadPool asyncOperationsThreadPool()

      Defines a thread pool used for asynchronous operations.

    - #### expirationThreadPool

          public ExpirationThreadPool expirationThreadPool()

      Defines a thread pool used for for evictions.

    - #### transportThreadPool

          public TransportThreadPool transportThreadPool()

      Defines a thread pool used for asynchronous transport communication.

    - #### noneTransport

          public NoneTransport noneTransport()

      A local-only transport used by this cache-container

    - #### persistenceThreadPool

          public PersistenceThreadPool persistenceThreadPool()

      Defines a thread pool used for interacting with the persistent store.

    - #### listenerThreadPool

          public ListenerThreadPool listenerThreadPool()

      Defines a thread pool used for asynchronous cache listener notifications.

    - #### stateTransferThreadPool

          public StateTransferThreadPool stateTransferThreadPool()

      Defines a thread pool used for for state transfer.

Copyright © 2017 JBoss by Red Hat. All rights reserved.